<template>
    <div class="container">
        <div class="list">
            <div>{{ itemObj.name }}</div>
            <div>{{ itemObj.measure }}</div>
            <div>{{ itemObj.pricePerOne }}</div>
            <div>{{ itemObj.nationality }}</div>
        </div>

        <div class="buttons">
            <div><button @click="deleteItem(itemObj.id)">Delete</button></div>
            <div><button @click="onEdit(itemObj.id)">Edit</button></div>
        </div>
    </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
    name: 'OneItemView',
    props: {
        itemObj: {
            type: Object,
            default: () => ({})
        },
    },
    methods: {
        ...mapActions(['deleteItem']),
        onEdit(editItemId) {
            this.$router.push({
                name: 'config', params: {
                    itemId: editItemId
                }
            })
        }
    },
}
</script>

<style lang="scss" scoped>
.container {
    display: flex;
    flex-direction: column;
    border: 2px solid green;
    margin: 1%;
    padding: 1%;
}

.buttons {
    display: flex;
    justify-content: space-between;
    width: 10vw;
}
</style>